stages: 
  - test
  - build

run_tests:
  stage: test
  image: python:3.9-slim-buster
  before_script:
    - apt-get update && apt-get install make 
  script: 
    - make test

build_image:  
  stage: build
  image: docker:20.10.16 
  services:
    - docker:20.10.16-dind
  variables:
    DOCKER_TLS_CERTDIR: "/certs"
  before_script:
    # - docker login -u $REGISTRY_USER -p $REGISTRY_PASS
    - echo $REGISTRY_PASS | docker login -u $REGISTRY_USER --password-stdin
  script:
    - docker build -t siddharth794/flask-demp-app-gitlab:python-demo-app-v1 . --file build/Dockerfile
    - docker push siddharth794/flask-demp-app-gitlab:python-demo-app-v1